{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Notiz',
        'columnId': 'notiz',
        'ariaLabelId': 'note',
        'ariaLabelName': 'Note'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Datum',
        'columnId': 'date',
        'ariaLabelId': 'date',
        'ariaLabelName': 'Date'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Sachbearbeiter',
        'columnId': 'sachbearbeiter',
        'ariaLabelId': 'responsible-person',
        'ariaLabelName': 'Responsible Person'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('company_location_management_looking_for_property_request_report_note_edit', {'id' : listItem.lookingForPropertyRequestReport.getId(), 'noteId' : listItem.getId()}),
                'item': listItem.lookingForPropertyRequestReport
            } only %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getNote()|nl2br }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getCreatedAt().format('d.m.Y, H:i') }} Uhr</td>
    <td class="mdc-data-table__cell">{{ listItem.getCreatedByAccountUser().getFullName() }}</td>
{% endblock %}
